# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "novtb"
version = "0.1.9"
authors = ["Radzivon Bartoshyk"]
build = false
exclude = [
    "*.jpg",
    "./assets/*",
    "*.png",
    ".gitignore",
    ".github/*",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Simple Zoned Data-Parallelism with Core Affinity"
homepage = "https://github.com/awxkee/novtb"
documentation = "https://github.com/awxkee/novtb"
readme = "README.md"
keywords = [
    "thread",
    "affinity",
]
categories = ["concurrency"]
license = "BSD-3-Clause OR Apache-2.0"
repository = "https://github.com/awxkee/novtb.git"

[package.metadata.docs.rs]
all-features = true
rustdoc-args = [
    "--cfg",
    "docsrs",
]

[lib]
name = "novtb"
path = "src/lib.rs"

[dependencies.core_affinity]
version = "0.8"
